package com.bankaudit.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name="maint_grading_param_dtls")
public class MaintGradingParamDtls implements Serializable {
  
	private static final long serialVersionUID = 3914880506323048078L;

	@Id
	@Column(name="legal_entity_code")
	private Integer legalEntityCode;
	
	@Id
	@Column(name="audit_type_code")
	private String auditTypeCode;
	  
	@Id
	@Column(name="param_code")
	private String paramCode;
	
	@Column(name="sl_no")
	private Integer slNo;
 
	@Column(name="disp_seq_no")
	private String dispSeqNo;	
	
	@Column(name="param_name")
	private String paramName;
	
	@Column(name="max_score")
	private Double maxScore;

	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}

	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}

	public String getAuditTypeCode() {
		return auditTypeCode;
	}

	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}

	public String getParamCode() {
		return paramCode;
	}

	public void setParamCode(String paramCode) {
		this.paramCode = paramCode;
	}

	public Integer getSlNo() {
		return slNo;
	}

	public void setSlNo(Integer slNo) {
		this.slNo = slNo;
	}

	public String getDispSeqNo() {
		return dispSeqNo;
	}

	public void setDispSeqNo(String dispSeqNo) {
		this.dispSeqNo = dispSeqNo;
	}

	public String getParamName() {
		return paramName;
	}

	public void setParamName(String paramName) {
		this.paramName = paramName;
	}

	public Double getMaxScore() {
		return maxScore;
	}

	public void setMaxScore(Double maxScore) {
		this.maxScore = maxScore;
	}
 
}
